Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 774537 - media-libs/libavif: add multilib support
Summary: media-libs/libavif: add multilib support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Daniel Novomeský
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 774534
  Show dependency tree
 
Reported: 2021-03-06 22:34 UTC by Sam James
Modified: 2021-03-11 17:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
experimental multilib ebuild (libavif-9999.ebuild,2.06 KB, text/plain)
2021-03-08 10:23 UTC, Daniel Novomeský
Details
another variant (libavif-9999.ebuild,2.53 KB, text/plain)
2021-03-09 12:44 UTC, Daniel Novomeský
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-03-06 22:34:45 UTC
This lets us add support to media-libs/gd.
Comment 1 Daniel Novomeský 2021-03-08 10:23:32 UTC
Created attachment 690030 [details]
experimental multilib ebuild

Hello Sam,
please take a look at the attached ebuild and tell me if it looks acceptable or what do you suggest.
Comment 2 Daniel Novomeský 2021-03-09 12:44:27 UTC
Created attachment 690219 [details]
another variant
Comment 3 Larry the Git Cow gentoo-dev 2021-03-11 17:26:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=958317d35f6a0b38db5132e9b73095a0cf934217

commit 958317d35f6a0b38db5132e9b73095a0cf934217
Author:     Daniel Novomesky <dnovomesky@gmail.com>
AuthorDate: 2021-03-11 15:55:24 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-11 17:25:54 +0000

    media-libs/libavif: revbump to 0.9.0-r2 with multilib support
    
    Closes: https://bugs.gentoo.org/774537
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Daniel Novomesky <dnovomesky@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/19881
    Signed-off-by: Sam James <sam@gentoo.org>

 ...vif-0.9.0-r1.ebuild => libavif-0.9.0-r2.ebuild} | 59 ++++++++++++++++------
 media-libs/libavif/libavif-9999.ebuild             |  6 +--
 2 files changed, 46 insertions(+), 19 deletions(-)